From 99468786329fec262a0949922367167e3ef0a0f6 Mon Sep 17 00:00:00 2001
From: Stephen Gallagher <sgallagh@redhat.com>
Date: Thu, 18 Feb 2010 07:49:04 -0500
Subject: [PATCH 4/5] Rename server/ directory to src/

Also update BUILD.txt
---
 BUILD.txt                                          |   23 +++++--------------
 Makefile.am                                        |    4 +-
 configure.ac                                       |    2 +-
 contrib/sssd.spec.in                               |    6 ++--
 {server => src}/Makefile.am                        |    0
 {server => src}/build_macros.m4                    |    0
 {server => src}/conf_macros.m4                     |    0
 {server => src}/confdb/confdb.c                    |    0
 {server => src}/confdb/confdb.h                    |    0
 {server => src}/confdb/confdb_private.h            |    0
 {server => src}/confdb/confdb_setup.c              |    0
 {server => src}/confdb/confdb_setup.h              |    0
 {server => src}/config/SSSDConfig.py               |    0
 {server => src}/config/SSSDConfigTest.py           |    0
 {server => src}/config/etc/sssd.api.conf           |    0
 .../config/etc/sssd.api.d/sssd-ipa.conf            |    0
 .../config/etc/sssd.api.d/sssd-krb5.conf           |    0
 .../config/etc/sssd.api.d/sssd-ldap.conf           |    0
 .../config/etc/sssd.api.d/sssd-local.conf          |    0
 .../config/etc/sssd.api.d/sssd-proxy.conf          |    0
 {server => src}/config/ipachangeconf.py            |    0
 {server => src}/config/setup.py                    |    0
 .../config/testconfigs/noparse.api.conf            |    0
 .../config/testconfigs/sssd-badversion.conf        |    0
 .../config/testconfigs/sssd-invalid-badbool.conf   |    0
 .../config/testconfigs/sssd-invalid.conf           |    0
 .../config/testconfigs/sssd-noversion.conf         |    0
 {server => src}/config/testconfigs/sssd-valid.conf |    0
 {server => src}/config/upgrade_config.py           |    0
 {server => src}/configure.ac                       |    0
 {server => src}/db/sysdb.c                         |    0
 {server => src}/db/sysdb.h                         |    0
 {server => src}/db/sysdb_ops.c                     |    0
 {server => src}/db/sysdb_private.h                 |    0
 {server => src}/db/sysdb_search.c                  |    0
 {server => src}/doxy.config.in                     |    0
 {server => src}/examples/sssd.conf                 |    0
 {server => src}/examples/sssdproxytest             |    0
 {server => src}/examples/sudo                      |    0
 {server => src}/external/crypto.m4                 |    0
 {server => src}/external/docbook.m4                |    0
 {server => src}/external/krb5.m4                   |    0
 {server => src}/external/ldap.m4                   |    0
 {server => src}/external/libcares.m4               |    0
 {server => src}/external/libcollection.m4          |    0
 {server => src}/external/libdhash.m4               |    0
 {server => src}/external/libini_config.m4          |    0
 {server => src}/external/libldb.m4                 |    0
 {server => src}/external/libpcre.m4                |    0
 {server => src}/external/libpopt.m4                |    0
 {server => src}/external/libtalloc.m4              |    0
 {server => src}/external/libtdb.m4                 |    0
 {server => src}/external/libtevent.m4              |    0
 {server => src}/external/pam.m4                    |    0
 {server => src}/external/pkg.m4                    |    0
 {server => src}/external/platform.m4               |    0
 {server => src}/external/python.m4                 |    0
 {server => src}/external/selinux.m4                |    0
 {server => src}/external/sizes.m4                  |    0
 .../krb5_plugin/sssd_krb5_locator_plugin.c         |    0
 {server => src}/ldb_modules/memberof.c             |    0
 {server => src}/m4/.dir                            |    0
 {server => src}/man/include/failover.xml           |    0
 {server => src}/man/include/param_help.xml         |    0
 {server => src}/man/include/upstream.xml           |    0
 {server => src}/man/sss_groupadd.8.xml             |    0
 {server => src}/man/sss_groupdel.8.xml             |    0
 {server => src}/man/sss_groupmod.8.xml             |    0
 {server => src}/man/sss_groupshow.8.xml            |    0
 {server => src}/man/sss_useradd.8.xml              |    0
 {server => src}/man/sss_userdel.8.xml              |    0
 {server => src}/man/sss_usermod.8.xml              |    0
 {server => src}/man/sssd-ipa.5.xml                 |    0
 {server => src}/man/sssd-krb5.5.xml                |    0
 {server => src}/man/sssd-ldap.5.xml                |    0
 {server => src}/man/sssd.8.xml                     |    0
 {server => src}/man/sssd.conf.5.xml                |    0
 {server => src}/man/sssd_krb5_locator_plugin.8.xml |    0
 {server => src}/monitor/monitor.c                  |    0
 {server => src}/monitor/monitor.h                  |    0
 {server => src}/monitor/monitor_interfaces.h       |    0
 {server => src}/monitor/monitor_sbus.c             |    0
 {server => src}/po/LINGUAS                         |    0
 {server => src}/po/Makevars                        |    0
 {server => src}/po/POTFILES.in                     |    0
 {server => src}/po/de.po                           |    0
 {server => src}/po/es.po                           |    0
 {server => src}/po/fr.po                           |    0
 {server => src}/po/it.po                           |    0
 {server => src}/po/ja.po                           |    0
 {server => src}/po/nl.po                           |    0
 {server => src}/po/pl.po                           |    0
 {server => src}/po/pt.po                           |    0
 {server => src}/po/sss_daemon.pot                  |    0
 {server => src}/po/sv.po                           |    0
 {server => src}/providers/child_common.c           |    0
 {server => src}/providers/child_common.h           |    0
 {server => src}/providers/data_provider.h          |    0
 {server => src}/providers/data_provider_be.c       |    0
 {server => src}/providers/data_provider_fo.c       |    0
 {server => src}/providers/data_provider_opts.c     |    0
 {server => src}/providers/dp_auth_util.c           |    0
 {server => src}/providers/dp_backend.h             |    0
 {server => src}/providers/dp_sbus.c                |    0
 {server => src}/providers/fail_over.c              |    0
 {server => src}/providers/fail_over.h              |    0
 {server => src}/providers/ipa/ipa_access.c         |    0
 {server => src}/providers/ipa/ipa_access.h         |    0
 {server => src}/providers/ipa/ipa_auth.c           |    0
 {server => src}/providers/ipa/ipa_auth.h           |    0
 {server => src}/providers/ipa/ipa_common.c         |    0
 {server => src}/providers/ipa/ipa_common.h         |    0
 {server => src}/providers/ipa/ipa_init.c           |    0
 {server => src}/providers/ipa/ipa_timerules.c      |    0
 {server => src}/providers/ipa/ipa_timerules.h      |    0
 {server => src}/providers/krb5/krb5_auth.c         |    0
 {server => src}/providers/krb5/krb5_auth.h         |    0
 {server => src}/providers/krb5/krb5_become_user.c  |    0
 {server => src}/providers/krb5/krb5_child.c        |    0
 {server => src}/providers/krb5/krb5_common.c       |    0
 {server => src}/providers/krb5/krb5_common.h       |    0
 {server => src}/providers/krb5/krb5_init.c         |    0
 {server => src}/providers/krb5/krb5_utils.c        |    0
 {server => src}/providers/krb5/krb5_utils.h        |    0
 {server => src}/providers/ldap/ldap_auth.c         |    0
 {server => src}/providers/ldap/ldap_child.c        |    0
 {server => src}/providers/ldap/ldap_common.c       |    0
 {server => src}/providers/ldap/ldap_common.h       |    0
 {server => src}/providers/ldap/ldap_id.c           |    0
 {server => src}/providers/ldap/ldap_id_cleanup.c   |    0
 {server => src}/providers/ldap/ldap_id_enum.c      |    0
 {server => src}/providers/ldap/ldap_init.c         |    0
 {server => src}/providers/ldap/sdap.c              |    0
 {server => src}/providers/ldap/sdap.h              |    0
 {server => src}/providers/ldap/sdap_async.c        |    0
 {server => src}/providers/ldap/sdap_async.h        |    0
 .../providers/ldap/sdap_async_accounts.c           |    0
 .../providers/ldap/sdap_async_connection.c         |    0
 .../providers/ldap/sdap_async_private.h            |    0
 .../providers/ldap/sdap_child_helpers.c            |    0
 {server => src}/providers/providers.h              |    0
 {server => src}/providers/proxy.c                  |    0
 {server => src}/providers/sssd_be.exports          |    0
 {server => src}/python/pysss.c                     |    0
 {server => src}/resolv/ares/ares_data.c            |    0
 {server => src}/resolv/ares/ares_data.h            |    0
 {server => src}/resolv/ares/ares_dns.h             |    0
 {server => src}/resolv/ares/ares_parse_srv_reply.c |    0
 {server => src}/resolv/ares/ares_parse_srv_reply.h |    0
 {server => src}/resolv/ares/ares_parse_txt_reply.c |    0
 {server => src}/resolv/ares/ares_parse_txt_reply.h |    0
 {server => src}/resolv/async_resolv.c              |    0
 {server => src}/resolv/async_resolv.h              |    0
 {server => src}/responder/common/responder.h       |    0
 {server => src}/responder/common/responder_cmd.c   |    0
 .../responder/common/responder_common.c            |    0
 {server => src}/responder/common/responder_dp.c    |    0
 .../responder/common/responder_packet.c            |    0
 .../responder/common/responder_packet.h            |    0
 {server => src}/responder/nss/nsssrv.c             |    0
 {server => src}/responder/nss/nsssrv.h             |    0
 {server => src}/responder/nss/nsssrv_cmd.c         |    0
 {server => src}/responder/nss/nsssrv_nc.c          |    0
 {server => src}/responder/nss/nsssrv_nc.h          |    0
 {server => src}/responder/pam/pam_LOCAL_domain.c   |    0
 {server => src}/responder/pam/pamsrv.c             |    0
 {server => src}/responder/pam/pamsrv.h             |    0
 {server => src}/responder/pam/pamsrv_cmd.c         |    0
 {server => src}/responder/pam/pamsrv_dp.c          |    0
 {server => src}/sbus/sbus_client.c                 |    0
 {server => src}/sbus/sbus_client.h                 |    0
 {server => src}/sbus/sssd_dbus.h                   |    0
 {server => src}/sbus/sssd_dbus_common.c            |    0
 {server => src}/sbus/sssd_dbus_connection.c        |    0
 {server => src}/sbus/sssd_dbus_private.h           |    0
 {server => src}/sbus/sssd_dbus_server.c            |    0
 {server => src}/sss_client/common.c                |    0
 {server => src}/sss_client/group.c                 |    0
 {server => src}/sss_client/man/pam_sss.8.xml       |    0
 {server => src}/sss_client/pam_sss.c               |    0
 {server => src}/sss_client/pam_test_client.c       |    0
 {server => src}/sss_client/passwd.c                |    0
 {server => src}/sss_client/protos.h                |    0
 {server => src}/sss_client/sss_cli.h               |    0
 {server => src}/sss_client/sss_nss.exports         |    0
 {server => src}/sss_client/sss_pam.exports         |    0
 {server => src}/sss_client/sss_pam_macros.h        |    0
 {server => src}/sysv/SUSE/sssd                     |    0
 {server => src}/sysv/sssd                          |    0
 {server => src}/tests/auth-tests.c                 |    0
 {server => src}/tests/check_and_open-tests.c       |    0
 {server => src}/tests/common.c                     |    0
 {server => src}/tests/common.h                     |    0
 {server => src}/tests/fail_over-tests.c            |    0
 {server => src}/tests/files-tests.c                |    0
 {server => src}/tests/find_uid-tests.c             |    0
 {server => src}/tests/ipa_ldap_opt-tests.c         |    0
 {server => src}/tests/ipa_timerules-tests.c        |    0
 {server => src}/tests/krb5_utils-tests.c           |    0
 {server => src}/tests/python-test.py               |    0
 {server => src}/tests/refcount-tests.c             |    0
 {server => src}/tests/resolv-tests.c               |    0
 {server => src}/tests/stress-tests.c               |    0
 {server => src}/tests/strtonum-tests.c             |    0
 {server => src}/tests/sysdb-tests.c                |    0
 {server => src}/tools/files.c                      |    0
 {server => src}/tools/sss_groupadd.c               |    0
 {server => src}/tools/sss_groupdel.c               |    0
 {server => src}/tools/sss_groupmod.c               |    0
 {server => src}/tools/sss_groupshow.c              |    0
 {server => src}/tools/sss_sync_ops.c               |    0
 {server => src}/tools/sss_sync_ops.h               |    0
 {server => src}/tools/sss_useradd.c                |    0
 {server => src}/tools/sss_userdel.c                |    0
 {server => src}/tools/sss_usermod.c                |    0
 {server => src}/tools/tools_util.c                 |    0
 {server => src}/tools/tools_util.h                 |    0
 {server => src}/util/backup_file.c                 |    0
 {server => src}/util/check_and_open.c              |    0
 {server => src}/util/crypto_sha512crypt.c          |    0
 {server => src}/util/debug.c                       |    0
 {server => src}/util/dlinklist.h                   |    0
 {server => src}/util/find_uid.c                    |    0
 {server => src}/util/find_uid.h                    |    0
 {server => src}/util/memory.c                      |    0
 {server => src}/util/nss_sha512crypt.c             |    0
 {server => src}/util/refcount.c                    |    0
 {server => src}/util/refcount.h                    |    0
 {server => src}/util/server.c                      |    0
 {server => src}/util/sha512crypt.h                 |    0
 {server => src}/util/signal.c                      |    0
 {server => src}/util/signal.m4                     |    0
 {server => src}/util/sss_krb5.c                    |    0
 {server => src}/util/sss_krb5.h                    |    0
 {server => src}/util/sss_ldap.c                    |    0
 {server => src}/util/sss_ldap.h                    |    0
 {server => src}/util/strtonum.c                    |    0
 {server => src}/util/strtonum.h                    |    0
 {server => src}/util/user_info_msg.c               |    0
 {server => src}/util/user_info_msg.h               |    0
 {server => src}/util/usertools.c                   |    0
 {server => src}/util/util.c                        |    0
 {server => src}/util/util.h                        |    0
 243 files changed, 12 insertions(+), 23 deletions(-)
 rename {server => src}/Makefile.am (100%)
 rename {server => src}/build_macros.m4 (100%)
 rename {server => src}/conf_macros.m4 (100%)
 rename {server => src}/confdb/confdb.c (100%)
 rename {server => src}/confdb/confdb.h (100%)
 rename {server => src}/confdb/confdb_private.h (100%)
 rename {server => src}/confdb/confdb_setup.c (100%)
 rename {server => src}/confdb/confdb_setup.h (100%)
 rename {server => src}/config/SSSDConfig.py (100%)
 rename {server => src}/config/SSSDConfigTest.py (100%)
 rename {server => src}/config/etc/sssd.api.conf (100%)
 rename {server => src}/config/etc/sssd.api.d/sssd-ipa.conf (100%)
 rename {server => src}/config/etc/sssd.api.d/sssd-krb5.conf (100%)
 rename {server => src}/config/etc/sssd.api.d/sssd-ldap.conf (100%)
 rename {server => src}/config/etc/sssd.api.d/sssd-local.conf (100%)
 rename {server => src}/config/etc/sssd.api.d/sssd-proxy.conf (100%)
 rename {server => src}/config/ipachangeconf.py (100%)
 rename {server => src}/config/setup.py (100%)
 rename {server => src}/config/testconfigs/noparse.api.conf (100%)
 rename {server => src}/config/testconfigs/sssd-badversion.conf (100%)
 rename {server => src}/config/testconfigs/sssd-invalid-badbool.conf (100%)
 rename {server => src}/config/testconfigs/sssd-invalid.conf (100%)
 rename {server => src}/config/testconfigs/sssd-noversion.conf (100%)
 rename {server => src}/config/testconfigs/sssd-valid.conf (100%)
 rename {server => src}/config/upgrade_config.py (100%)
 rename {server => src}/configure.ac (100%)
 rename {server => src}/db/sysdb.c (100%)
 rename {server => src}/db/sysdb.h (100%)
 rename {server => src}/db/sysdb_ops.c (100%)
 rename {server => src}/db/sysdb_private.h (100%)
 rename {server => src}/db/sysdb_search.c (100%)
 rename {server => src}/doxy.config.in (100%)
 rename {server => src}/examples/sssd.conf (100%)
 rename {server => src}/examples/sssdproxytest (100%)
 rename {server => src}/examples/sudo (100%)
 rename {server => src}/external/crypto.m4 (100%)
 rename {server => src}/external/docbook.m4 (100%)
 rename {server => src}/external/krb5.m4 (100%)
 rename {server => src}/external/ldap.m4 (100%)
 rename {server => src}/external/libcares.m4 (100%)
 rename {server => src}/external/libcollection.m4 (100%)
 rename {server => src}/external/libdhash.m4 (100%)
 rename {server => src}/external/libini_config.m4 (100%)
 rename {server => src}/external/libldb.m4 (100%)
 rename {server => src}/external/libpcre.m4 (100%)
 rename {server => src}/external/libpopt.m4 (100%)
 rename {server => src}/external/libtalloc.m4 (100%)
 rename {server => src}/external/libtdb.m4 (100%)
 rename {server => src}/external/libtevent.m4 (100%)
 rename {server => src}/external/pam.m4 (100%)
 rename {server => src}/external/pkg.m4 (100%)
 rename {server => src}/external/platform.m4 (100%)
 rename {server => src}/external/python.m4 (100%)
 rename {server => src}/external/selinux.m4 (100%)
 rename {server => src}/external/sizes.m4 (100%)
 rename {server => src}/krb5_plugin/sssd_krb5_locator_plugin.c (100%)
 rename {server => src}/ldb_modules/memberof.c (100%)
 rename {server => src}/m4/.dir (100%)
 rename {server => src}/man/include/failover.xml (100%)
 rename {server => src}/man/include/param_help.xml (100%)
 rename {server => src}/man/include/upstream.xml (100%)
 rename {server => src}/man/sss_groupadd.8.xml (100%)
 rename {server => src}/man/sss_groupdel.8.xml (100%)
 rename {server => src}/man/sss_groupmod.8.xml (100%)
 rename {server => src}/man/sss_groupshow.8.xml (100%)
 rename {server => src}/man/sss_useradd.8.xml (100%)
 rename {server => src}/man/sss_userdel.8.xml (100%)
 rename {server => src}/man/sss_usermod.8.xml (100%)
 rename {server => src}/man/sssd-ipa.5.xml (100%)
 rename {server => src}/man/sssd-krb5.5.xml (100%)
 rename {server => src}/man/sssd-ldap.5.xml (100%)
 rename {server => src}/man/sssd.8.xml (100%)
 rename {server => src}/man/sssd.conf.5.xml (100%)
 rename {server => src}/man/sssd_krb5_locator_plugin.8.xml (100%)
 rename {server => src}/monitor/monitor.c (100%)
 rename {server => src}/monitor/monitor.h (100%)
 rename {server => src}/monitor/monitor_interfaces.h (100%)
 rename {server => src}/monitor/monitor_sbus.c (100%)
 rename {server => src}/po/LINGUAS (100%)
 rename {server => src}/po/Makevars (100%)
 rename {server => src}/po/POTFILES.in (100%)
 rename {server => src}/po/de.po (100%)
 rename {server => src}/po/es.po (100%)
 rename {server => src}/po/fr.po (100%)
 rename {server => src}/po/it.po (100%)
 rename {server => src}/po/ja.po (100%)
 rename {server => src}/po/nl.po (100%)
 rename {server => src}/po/pl.po (100%)
 rename {server => src}/po/pt.po (100%)
 rename {server => src}/po/sss_daemon.pot (100%)
 rename {server => src}/po/sv.po (100%)
 rename {server => src}/providers/child_common.c (100%)
 rename {server => src}/providers/child_common.h (100%)
 rename {server => src}/providers/data_provider.h (100%)
 rename {server => src}/providers/data_provider_be.c (100%)
 rename {server => src}/providers/data_provider_fo.c (100%)
 rename {server => src}/providers/data_provider_opts.c (100%)
 rename {server => src}/providers/dp_auth_util.c (100%)
 rename {server => src}/providers/dp_backend.h (100%)
 rename {server => src}/providers/dp_sbus.c (100%)
 rename {server => src}/providers/fail_over.c (100%)
 rename {server => src}/providers/fail_over.h (100%)
 rename {server => src}/providers/ipa/ipa_access.c (100%)
 rename {server => src}/providers/ipa/ipa_access.h (100%)
 rename {server => src}/providers/ipa/ipa_auth.c (100%)
 rename {server => src}/providers/ipa/ipa_auth.h (100%)
 rename {server => src}/providers/ipa/ipa_common.c (100%)
 rename {server => src}/providers/ipa/ipa_common.h (100%)
 rename {server => src}/providers/ipa/ipa_init.c (100%)
 rename {server => src}/providers/ipa/ipa_timerules.c (100%)
 rename {server => src}/providers/ipa/ipa_timerules.h (100%)
 rename {server => src}/providers/krb5/krb5_auth.c (100%)
 rename {server => src}/providers/krb5/krb5_auth.h (100%)
 rename {server => src}/providers/krb5/krb5_become_user.c (100%)
 rename {server => src}/providers/krb5/krb5_child.c (100%)
 rename {server => src}/providers/krb5/krb5_common.c (100%)
 rename {server => src}/providers/krb5/krb5_common.h (100%)
 rename {server => src}/providers/krb5/krb5_init.c (100%)
 rename {server => src}/providers/krb5/krb5_utils.c (100%)
 rename {server => src}/providers/krb5/krb5_utils.h (100%)
 rename {server => src}/providers/ldap/ldap_auth.c (100%)
 rename {server => src}/providers/ldap/ldap_child.c (100%)
 rename {server => src}/providers/ldap/ldap_common.c (100%)
 rename {server => src}/providers/ldap/ldap_common.h (100%)
 rename {server => src}/providers/ldap/ldap_id.c (100%)
 rename {server => src}/providers/ldap/ldap_id_cleanup.c (100%)
 rename {server => src}/providers/ldap/ldap_id_enum.c (100%)
 rename {server => src}/providers/ldap/ldap_init.c (100%)
 rename {server => src}/providers/ldap/sdap.c (100%)
 rename {server => src}/providers/ldap/sdap.h (100%)
 rename {server => src}/providers/ldap/sdap_async.c (100%)
 rename {server => src}/providers/ldap/sdap_async.h (100%)
 rename {server => src}/providers/ldap/sdap_async_accounts.c (100%)
 rename {server => src}/providers/ldap/sdap_async_connection.c (100%)
 rename {server => src}/providers/ldap/sdap_async_private.h (100%)
 rename {server => src}/providers/ldap/sdap_child_helpers.c (100%)
 rename {server => src}/providers/providers.h (100%)
 rename {server => src}/providers/proxy.c (100%)
 rename {server => src}/providers/sssd_be.exports (100%)
 rename {server => src}/python/pysss.c (100%)
 rename {server => src}/resolv/ares/ares_data.c (100%)
 rename {server => src}/resolv/ares/ares_data.h (100%)
 rename {server => src}/resolv/ares/ares_dns.h (100%)
 rename {server => src}/resolv/ares/ares_parse_srv_reply.c (100%)
 rename {server => src}/resolv/ares/ares_parse_srv_reply.h (100%)
 rename {server => src}/resolv/ares/ares_parse_txt_reply.c (100%)
 rename {server => src}/resolv/ares/ares_parse_txt_reply.h (100%)
 rename {server => src}/resolv/async_resolv.c (100%)
 rename {server => src}/resolv/async_resolv.h (100%)
 rename {server => src}/responder/common/responder.h (100%)
 rename {server => src}/responder/common/responder_cmd.c (100%)
 rename {server => src}/responder/common/responder_common.c (100%)
 rename {server => src}/responder/common/responder_dp.c (100%)
 rename {server => src}/responder/common/responder_packet.c (100%)
 rename {server => src}/responder/common/responder_packet.h (100%)
 rename {server => src}/responder/nss/nsssrv.c (100%)
 rename {server => src}/responder/nss/nsssrv.h (100%)
 rename {server => src}/responder/nss/nsssrv_cmd.c (100%)
 rename {server => src}/responder/nss/nsssrv_nc.c (100%)
 rename {server => src}/responder/nss/nsssrv_nc.h (100%)
 rename {server => src}/responder/pam/pam_LOCAL_domain.c (100%)
 rename {server => src}/responder/pam/pamsrv.c (100%)
 rename {server => src}/responder/pam/pamsrv.h (100%)
 rename {server => src}/responder/pam/pamsrv_cmd.c (100%)
 rename {server => src}/responder/pam/pamsrv_dp.c (100%)
 rename {server => src}/sbus/sbus_client.c (100%)
 rename {server => src}/sbus/sbus_client.h (100%)
 rename {server => src}/sbus/sssd_dbus.h (100%)
 rename {server => src}/sbus/sssd_dbus_common.c (100%)
 rename {server => src}/sbus/sssd_dbus_connection.c (100%)
 rename {server => src}/sbus/sssd_dbus_private.h (100%)
 rename {server => src}/sbus/sssd_dbus_server.c (100%)
 rename {server => src}/sss_client/common.c (100%)
 rename {server => src}/sss_client/group.c (100%)
 rename {server => src}/sss_client/man/pam_sss.8.xml (100%)
 rename {server => src}/sss_client/pam_sss.c (100%)
 rename {server => src}/sss_client/pam_test_client.c (100%)
 rename {server => src}/sss_client/passwd.c (100%)
 rename {server => src}/sss_client/protos.h (100%)
 rename {server => src}/sss_client/sss_cli.h (100%)
 rename {server => src}/sss_client/sss_nss.exports (100%)
 rename {server => src}/sss_client/sss_pam.exports (100%)
 rename {server => src}/sss_client/sss_pam_macros.h (100%)
 rename {server => src}/sysv/SUSE/sssd (100%)
 rename {server => src}/sysv/sssd (100%)
 rename {server => src}/tests/auth-tests.c (100%)
 rename {server => src}/tests/check_and_open-tests.c (100%)
 rename {server => src}/tests/common.c (100%)
 rename {server => src}/tests/common.h (100%)
 rename {server => src}/tests/fail_over-tests.c (100%)
 rename {server => src}/tests/files-tests.c (100%)
 rename {server => src}/tests/find_uid-tests.c (100%)
 rename {server => src}/tests/ipa_ldap_opt-tests.c (100%)
 rename {server => src}/tests/ipa_timerules-tests.c (100%)
 rename {server => src}/tests/krb5_utils-tests.c (100%)
 rename {server => src}/tests/python-test.py (100%)
 rename {server => src}/tests/refcount-tests.c (100%)
 rename {server => src}/tests/resolv-tests.c (100%)
 rename {server => src}/tests/stress-tests.c (100%)
 rename {server => src}/tests/strtonum-tests.c (100%)
 rename {server => src}/tests/sysdb-tests.c (100%)
 rename {server => src}/tools/files.c (100%)
 rename {server => src}/tools/sss_groupadd.c (100%)
 rename {server => src}/tools/sss_groupdel.c (100%)
 rename {server => src}/tools/sss_groupmod.c (100%)
 rename {server => src}/tools/sss_groupshow.c (100%)
 rename {server => src}/tools/sss_sync_ops.c (100%)
 rename {server => src}/tools/sss_sync_ops.h (100%)
 rename {server => src}/tools/sss_useradd.c (100%)
 rename {server => src}/tools/sss_userdel.c (100%)
 rename {server => src}/tools/sss_usermod.c (100%)
 rename {server => src}/tools/tools_util.c (100%)
 rename {server => src}/tools/tools_util.h (100%)
 rename {server => src}/util/backup_file.c (100%)
 rename {server => src}/util/check_and_open.c (100%)
 rename {server => src}/util/crypto_sha512crypt.c (100%)
 rename {server => src}/util/debug.c (100%)
 rename {server => src}/util/dlinklist.h (100%)
 rename {server => src}/util/find_uid.c (100%)
 rename {server => src}/util/find_uid.h (100%)
 rename {server => src}/util/memory.c (100%)
 rename {server => src}/util/nss_sha512crypt.c (100%)
 rename {server => src}/util/refcount.c (100%)
 rename {server => src}/util/refcount.h (100%)
 rename {server => src}/util/server.c (100%)
 rename {server => src}/util/sha512crypt.h (100%)
 rename {server => src}/util/signal.c (100%)
 rename {server => src}/util/signal.m4 (100%)
 rename {server => src}/util/sss_krb5.c (100%)
 rename {server => src}/util/sss_krb5.h (100%)
 rename {server => src}/util/sss_ldap.c (100%)
 rename {server => src}/util/sss_ldap.h (100%)
 rename {server => src}/util/strtonum.c (100%)
 rename {server => src}/util/strtonum.h (100%)
 rename {server => src}/util/user_info_msg.c (100%)
 rename {server => src}/util/user_info_msg.h (100%)
 rename {server => src}/util/usertools.c (100%)
 rename {server => src}/util/util.c (100%)
 rename {server => src}/util/util.h (100%)

diff --git a/BUILD.txt b/BUILD.txt
index 13b72c3..a452437 100644
--- a/BUILD.txt
+++ b/BUILD.txt
@@ -17,7 +17,7 @@ yum install openldap-devel gettext libtool pcre-devel c-ares-devel \
     dbus-devel libxslt-devel docbook-style-xsl krb5-devel \
     docbook-style-xsl libxml2 pam-devel nss-devel libtevent \
     libtevent-devel libtdb libtdb-devel libtalloc libtalloc-devel \
-    libldb libldb-devel cvs popt-devel
+    libldb libldb-devel cvs popt-devel c-ares-devel
 
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 How to build everything in one go (Preferred approach)
@@ -42,32 +42,21 @@ Internal Library Requirements
 sssd provides several required libraries within its source tree:
 collection
 ini_config
+dhash
+refarray
+path_utils
 
 Compiling sssd internal libraries
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 pushd common;
 autoreconf -i -f && \
-./configure --enable-static --disable-shared && \
+./configure --disable-static --enable-shared && \
 make;
 popd
 
-This will build the libraries statically for linking into the sssd. Currently
-the sssd build system does not support dynamically linking. (The external API
-for collection and ini_config is not yet ready for general consumption).
-
 Compiling sssd with system installed libraries
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-pushd server; \
-autoreconf -i -f && \
-./configure && \
-make; \
-popd
-
-Compiling client libraries
-~~~~~~~~~~~~~~~~~~~~~~~~~~
-The nss and pam client do not require any additional dependencies.
-
-pushd sss_client; \
+pushd src; \
 autoreconf -i -f && \
 ./configure && \
 make; \
diff --git a/Makefile.am b/Makefile.am
index f20fc56..a26f774 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -1,4 +1,4 @@
-SUBDIRS = common server
+SUBDIRS = common src
 
 DISTCHECK_CONFIGURE_FLAGS = --with-ldb-lib-dir="$$dc_install_base"/lib/ldb
 
@@ -58,4 +58,4 @@ tests: all
 	done
 
 docs:
-	$(MAKE) -C server $@
+	$(MAKE) -C src $@
diff --git a/configure.ac b/configure.ac
index 030ebc9..3a87cd7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -8,7 +8,7 @@ AM_INIT_AUTOMAKE([-Wall -Werror foreign])
 AC_CONFIG_MACRO_DIR([m4])
 AC_PROG_INSTALL
 
-AC_CONFIG_SUBDIRS([common server])
+AC_CONFIG_SUBDIRS([common src])
 
 AC_SUBST([PRERELEASE_VERSION],
          PRERELEASE_VERSION_NUMBER)
diff --git a/contrib/sssd.spec.in b/contrib/sssd.spec.in
index 8c38146..16955f7 100644
--- a/contrib/sssd.spec.in
+++ b/contrib/sssd.spec.in
@@ -222,9 +222,9 @@ rm -f \
 
 # Copy default sssd.conf file
 mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sssd
-install -m600 server/examples/sssd.conf $RPM_BUILD_ROOT%{_sysconfdir}/sssd/sssd.conf
-install -m400 server/config/etc/sssd.api.conf $RPM_BUILD_ROOT%{_sysconfdir}/sssd/sssd.api.conf
-install -m400 server/config/etc/sssd.api.d/* $RPM_BUILD_ROOT%{_sysconfdir}/sssd/sssd.api.d/
+install -m600 src/examples/sssd.conf $RPM_BUILD_ROOT%{_sysconfdir}/sssd/sssd.conf
+install -m400 src/config/etc/sssd.api.conf $RPM_BUILD_ROOT%{_sysconfdir}/sssd/sssd.api.conf
+install -m400 src/config/etc/sssd.api.d/* $RPM_BUILD_ROOT%{_sysconfdir}/sssd/sssd.api.d/
 
 # Remove .la files created by libtool
 rm -f \
diff --git a/server/Makefile.am b/src/Makefile.am
similarity index 100%
rename from server/Makefile.am
rename to src/Makefile.am
diff --git a/server/build_macros.m4 b/src/build_macros.m4
similarity index 100%
rename from server/build_macros.m4
rename to src/build_macros.m4
diff --git a/server/conf_macros.m4 b/src/conf_macros.m4
similarity index 100%
rename from server/conf_macros.m4
rename to src/conf_macros.m4
diff --git a/server/confdb/confdb.c b/src/confdb/confdb.c
similarity index 100%
rename from server/confdb/confdb.c
rename to src/confdb/confdb.c
diff --git a/server/confdb/confdb.h b/src/confdb/confdb.h
similarity index 100%
rename from server/confdb/confdb.h
rename to src/confdb/confdb.h
diff --git a/server/confdb/confdb_private.h b/src/confdb/confdb_private.h
similarity index 100%
rename from server/confdb/confdb_private.h
rename to src/confdb/confdb_private.h
diff --git a/server/confdb/confdb_setup.c b/src/confdb/confdb_setup.c
similarity index 100%
rename from server/confdb/confdb_setup.c
rename to src/confdb/confdb_setup.c
diff --git a/server/confdb/confdb_setup.h b/src/confdb/confdb_setup.h
similarity index 100%
rename from server/confdb/confdb_setup.h
rename to src/confdb/confdb_setup.h
diff --git a/server/config/SSSDConfig.py b/src/config/SSSDConfig.py
similarity index 100%
rename from server/config/SSSDConfig.py
rename to src/config/SSSDConfig.py
diff --git a/server/config/SSSDConfigTest.py b/src/config/SSSDConfigTest.py
similarity index 100%
rename from server/config/SSSDConfigTest.py
rename to src/config/SSSDConfigTest.py
diff --git a/server/config/etc/sssd.api.conf b/src/config/etc/sssd.api.conf
similarity index 100%
rename from server/config/etc/sssd.api.conf
rename to src/config/etc/sssd.api.conf
diff --git a/server/config/etc/sssd.api.d/sssd-ipa.conf b/src/config/etc/sssd.api.d/sssd-ipa.conf
similarity index 100%
rename from server/config/etc/sssd.api.d/sssd-ipa.conf
rename to src/config/etc/sssd.api.d/sssd-ipa.conf
diff --git a/server/config/etc/sssd.api.d/sssd-krb5.conf b/src/config/etc/sssd.api.d/sssd-krb5.conf
similarity index 100%
rename from server/config/etc/sssd.api.d/sssd-krb5.conf
rename to src/config/etc/sssd.api.d/sssd-krb5.conf
diff --git a/server/config/etc/sssd.api.d/sssd-ldap.conf b/src/config/etc/sssd.api.d/sssd-ldap.conf
similarity index 100%
rename from server/config/etc/sssd.api.d/sssd-ldap.conf
rename to src/config/etc/sssd.api.d/sssd-ldap.conf
diff --git a/server/config/etc/sssd.api.d/sssd-local.conf b/src/config/etc/sssd.api.d/sssd-local.conf
similarity index 100%
rename from server/config/etc/sssd.api.d/sssd-local.conf
rename to src/config/etc/sssd.api.d/sssd-local.conf
diff --git a/server/config/etc/sssd.api.d/sssd-proxy.conf b/src/config/etc/sssd.api.d/sssd-proxy.conf
similarity index 100%
rename from server/config/etc/sssd.api.d/sssd-proxy.conf
rename to src/config/etc/sssd.api.d/sssd-proxy.conf
diff --git a/server/config/ipachangeconf.py b/src/config/ipachangeconf.py
similarity index 100%
rename from server/config/ipachangeconf.py
rename to src/config/ipachangeconf.py
diff --git a/server/config/setup.py b/src/config/setup.py
similarity index 100%
rename from server/config/setup.py
rename to src/config/setup.py
diff --git a/server/config/testconfigs/noparse.api.conf b/src/config/testconfigs/noparse.api.conf
similarity index 100%
rename from server/config/testconfigs/noparse.api.conf
rename to src/config/testconfigs/noparse.api.conf
diff --git a/server/config/testconfigs/sssd-badversion.conf b/src/config/testconfigs/sssd-badversion.conf
similarity index 100%
rename from server/config/testconfigs/sssd-badversion.conf
rename to src/config/testconfigs/sssd-badversion.conf
diff --git a/server/config/testconfigs/sssd-invalid-badbool.conf b/src/config/testconfigs/sssd-invalid-badbool.conf
similarity index 100%
rename from server/config/testconfigs/sssd-invalid-badbool.conf
rename to src/config/testconfigs/sssd-invalid-badbool.conf
diff --git a/server/config/testconfigs/sssd-invalid.conf b/src/config/testconfigs/sssd-invalid.conf
similarity index 100%
rename from server/config/testconfigs/sssd-invalid.conf
rename to src/config/testconfigs/sssd-invalid.conf
diff --git a/server/config/testconfigs/sssd-noversion.conf b/src/config/testconfigs/sssd-noversion.conf
similarity index 100%
rename from server/config/testconfigs/sssd-noversion.conf
rename to src/config/testconfigs/sssd-noversion.conf
diff --git a/server/config/testconfigs/sssd-valid.conf b/src/config/testconfigs/sssd-valid.conf
similarity index 100%
rename from server/config/testconfigs/sssd-valid.conf
rename to src/config/testconfigs/sssd-valid.conf
diff --git a/server/config/upgrade_config.py b/src/config/upgrade_config.py
similarity index 100%
rename from server/config/upgrade_config.py
rename to src/config/upgrade_config.py
diff --git a/server/configure.ac b/src/configure.ac
similarity index 100%
rename from server/configure.ac
rename to src/configure.ac
diff --git a/server/db/sysdb.c b/src/db/sysdb.c
similarity index 100%
rename from server/db/sysdb.c
rename to src/db/sysdb.c
diff --git a/server/db/sysdb.h b/src/db/sysdb.h
similarity index 100%
rename from server/db/sysdb.h
rename to src/db/sysdb.h
diff --git a/server/db/sysdb_ops.c b/src/db/sysdb_ops.c
similarity index 100%
rename from server/db/sysdb_ops.c
rename to src/db/sysdb_ops.c
diff --git a/server/db/sysdb_private.h b/src/db/sysdb_private.h
similarity index 100%
rename from server/db/sysdb_private.h
rename to src/db/sysdb_private.h
diff --git a/server/db/sysdb_search.c b/src/db/sysdb_search.c
similarity index 100%
rename from server/db/sysdb_search.c
rename to src/db/sysdb_search.c
diff --git a/server/doxy.config.in b/src/doxy.config.in
similarity index 100%
rename from server/doxy.config.in
rename to src/doxy.config.in
diff --git a/server/examples/sssd.conf b/src/examples/sssd.conf
similarity index 100%
rename from server/examples/sssd.conf
rename to src/examples/sssd.conf
diff --git a/server/examples/sssdproxytest b/src/examples/sssdproxytest
similarity index 100%
rename from server/examples/sssdproxytest
rename to src/examples/sssdproxytest
diff --git a/server/examples/sudo b/src/examples/sudo
similarity index 100%
rename from server/examples/sudo
rename to src/examples/sudo
diff --git a/server/external/crypto.m4 b/src/external/crypto.m4
similarity index 100%
rename from server/external/crypto.m4
rename to src/external/crypto.m4
diff --git a/server/external/docbook.m4 b/src/external/docbook.m4
similarity index 100%
rename from server/external/docbook.m4
rename to src/external/docbook.m4
diff --git a/server/external/krb5.m4 b/src/external/krb5.m4
similarity index 100%
rename from server/external/krb5.m4
rename to src/external/krb5.m4
diff --git a/server/external/ldap.m4 b/src/external/ldap.m4
similarity index 100%
rename from server/external/ldap.m4
rename to src/external/ldap.m4
diff --git a/server/external/libcares.m4 b/src/external/libcares.m4
similarity index 100%
rename from server/external/libcares.m4
rename to src/external/libcares.m4
diff --git a/server/external/libcollection.m4 b/src/external/libcollection.m4
similarity index 100%
rename from server/external/libcollection.m4
rename to src/external/libcollection.m4
diff --git a/server/external/libdhash.m4 b/src/external/libdhash.m4
similarity index 100%
rename from server/external/libdhash.m4
rename to src/external/libdhash.m4
diff --git a/server/external/libini_config.m4 b/src/external/libini_config.m4
similarity index 100%
rename from server/external/libini_config.m4
rename to src/external/libini_config.m4
diff --git a/server/external/libldb.m4 b/src/external/libldb.m4
similarity index 100%
rename from server/external/libldb.m4
rename to src/external/libldb.m4
diff --git a/server/external/libpcre.m4 b/src/external/libpcre.m4
similarity index 100%
rename from server/external/libpcre.m4
rename to src/external/libpcre.m4
diff --git a/server/external/libpopt.m4 b/src/external/libpopt.m4
similarity index 100%
rename from server/external/libpopt.m4
rename to src/external/libpopt.m4
diff --git a/server/external/libtalloc.m4 b/src/external/libtalloc.m4
similarity index 100%
rename from server/external/libtalloc.m4
rename to src/external/libtalloc.m4
diff --git a/server/external/libtdb.m4 b/src/external/libtdb.m4
similarity index 100%
rename from server/external/libtdb.m4
rename to src/external/libtdb.m4
diff --git a/server/external/libtevent.m4 b/src/external/libtevent.m4
similarity index 100%
rename from server/external/libtevent.m4
rename to src/external/libtevent.m4
diff --git a/server/external/pam.m4 b/src/external/pam.m4
similarity index 100%
rename from server/external/pam.m4
rename to src/external/pam.m4
diff --git a/server/external/pkg.m4 b/src/external/pkg.m4
similarity index 100%
rename from server/external/pkg.m4
rename to src/external/pkg.m4
diff --git a/server/external/platform.m4 b/src/external/platform.m4
similarity index 100%
rename from server/external/platform.m4
rename to src/external/platform.m4
diff --git a/server/external/python.m4 b/src/external/python.m4
similarity index 100%
rename from server/external/python.m4
rename to src/external/python.m4
diff --git a/server/external/selinux.m4 b/src/external/selinux.m4
similarity index 100%
rename from server/external/selinux.m4
rename to src/external/selinux.m4
diff --git a/server/external/sizes.m4 b/src/external/sizes.m4
similarity index 100%
rename from server/external/sizes.m4
rename to src/external/sizes.m4
diff --git a/server/krb5_plugin/sssd_krb5_locator_plugin.c b/src/krb5_plugin/sssd_krb5_locator_plugin.c
similarity index 100%
rename from server/krb5_plugin/sssd_krb5_locator_plugin.c
rename to src/krb5_plugin/sssd_krb5_locator_plugin.c
diff --git a/server/ldb_modules/memberof.c b/src/ldb_modules/memberof.c
similarity index 100%
rename from server/ldb_modules/memberof.c
rename to src/ldb_modules/memberof.c
diff --git a/server/m4/.dir b/src/m4/.dir
similarity index 100%
rename from server/m4/.dir
rename to src/m4/.dir
diff --git a/server/man/include/failover.xml b/src/man/include/failover.xml
similarity index 100%
rename from server/man/include/failover.xml
rename to src/man/include/failover.xml
diff --git a/server/man/include/param_help.xml b/src/man/include/param_help.xml
similarity index 100%
rename from server/man/include/param_help.xml
rename to src/man/include/param_help.xml
diff --git a/server/man/include/upstream.xml b/src/man/include/upstream.xml
similarity index 100%
rename from server/man/include/upstream.xml
rename to src/man/include/upstream.xml
diff --git a/server/man/sss_groupadd.8.xml b/src/man/sss_groupadd.8.xml
similarity index 100%
rename from server/man/sss_groupadd.8.xml
rename to src/man/sss_groupadd.8.xml
diff --git a/server/man/sss_groupdel.8.xml b/src/man/sss_groupdel.8.xml
similarity index 100%
rename from server/man/sss_groupdel.8.xml
rename to src/man/sss_groupdel.8.xml
diff --git a/server/man/sss_groupmod.8.xml b/src/man/sss_groupmod.8.xml
similarity index 100%
rename from server/man/sss_groupmod.8.xml
rename to src/man/sss_groupmod.8.xml
diff --git a/server/man/sss_groupshow.8.xml b/src/man/sss_groupshow.8.xml
similarity index 100%
rename from server/man/sss_groupshow.8.xml
rename to src/man/sss_groupshow.8.xml
diff --git a/server/man/sss_useradd.8.xml b/src/man/sss_useradd.8.xml
similarity index 100%
rename from server/man/sss_useradd.8.xml
rename to src/man/sss_useradd.8.xml
diff --git a/server/man/sss_userdel.8.xml b/src/man/sss_userdel.8.xml
similarity index 100%
rename from server/man/sss_userdel.8.xml
rename to src/man/sss_userdel.8.xml
diff --git a/server/man/sss_usermod.8.xml b/src/man/sss_usermod.8.xml
similarity index 100%
rename from server/man/sss_usermod.8.xml
rename to src/man/sss_usermod.8.xml
diff --git a/server/man/sssd-ipa.5.xml b/src/man/sssd-ipa.5.xml
similarity index 100%
rename from server/man/sssd-ipa.5.xml
rename to src/man/sssd-ipa.5.xml
diff --git a/server/man/sssd-krb5.5.xml b/src/man/sssd-krb5.5.xml
similarity index 100%
rename from server/man/sssd-krb5.5.xml
rename to src/man/sssd-krb5.5.xml
diff --git a/server/man/sssd-ldap.5.xml b/src/man/sssd-ldap.5.xml
similarity index 100%
rename from server/man/sssd-ldap.5.xml
rename to src/man/sssd-ldap.5.xml
diff --git a/server/man/sssd.8.xml b/src/man/sssd.8.xml
similarity index 100%
rename from server/man/sssd.8.xml
rename to src/man/sssd.8.xml
diff --git a/server/man/sssd.conf.5.xml b/src/man/sssd.conf.5.xml
similarity index 100%
rename from server/man/sssd.conf.5.xml
rename to src/man/sssd.conf.5.xml
diff --git a/server/man/sssd_krb5_locator_plugin.8.xml b/src/man/sssd_krb5_locator_plugin.8.xml
similarity index 100%
rename from server/man/sssd_krb5_locator_plugin.8.xml
rename to src/man/sssd_krb5_locator_plugin.8.xml
diff --git a/server/monitor/monitor.c b/src/monitor/monitor.c
similarity index 100%
rename from server/monitor/monitor.c
rename to src/monitor/monitor.c
diff --git a/server/monitor/monitor.h b/src/monitor/monitor.h
similarity index 100%
rename from server/monitor/monitor.h
rename to src/monitor/monitor.h
diff --git a/server/monitor/monitor_interfaces.h b/src/monitor/monitor_interfaces.h
similarity index 100%
rename from server/monitor/monitor_interfaces.h
rename to src/monitor/monitor_interfaces.h
diff --git a/server/monitor/monitor_sbus.c b/src/monitor/monitor_sbus.c
similarity index 100%
rename from server/monitor/monitor_sbus.c
rename to src/monitor/monitor_sbus.c
diff --git a/server/po/LINGUAS b/src/po/LINGUAS
similarity index 100%
rename from server/po/LINGUAS
rename to src/po/LINGUAS
diff --git a/server/po/Makevars b/src/po/Makevars
similarity index 100%
rename from server/po/Makevars
rename to src/po/Makevars
diff --git a/server/po/POTFILES.in b/src/po/POTFILES.in
similarity index 100%
rename from server/po/POTFILES.in
rename to src/po/POTFILES.in
diff --git a/server/po/de.po b/src/po/de.po
similarity index 100%
rename from server/po/de.po
rename to src/po/de.po
diff --git a/server/po/es.po b/src/po/es.po
similarity index 100%
rename from server/po/es.po
rename to src/po/es.po
diff --git a/server/po/fr.po b/src/po/fr.po
similarity index 100%
rename from server/po/fr.po
rename to src/po/fr.po
diff --git a/server/po/it.po b/src/po/it.po
similarity index 100%
rename from server/po/it.po
rename to src/po/it.po
diff --git a/server/po/ja.po b/src/po/ja.po
similarity index 100%
rename from server/po/ja.po
rename to src/po/ja.po
diff --git a/server/po/nl.po b/src/po/nl.po
similarity index 100%
rename from server/po/nl.po
rename to src/po/nl.po
diff --git a/server/po/pl.po b/src/po/pl.po
similarity index 100%
rename from server/po/pl.po
rename to src/po/pl.po
diff --git a/server/po/pt.po b/src/po/pt.po
similarity index 100%
rename from server/po/pt.po
rename to src/po/pt.po
diff --git a/server/po/sss_daemon.pot b/src/po/sss_daemon.pot
similarity index 100%
rename from server/po/sss_daemon.pot
rename to src/po/sss_daemon.pot
diff --git a/server/po/sv.po b/src/po/sv.po
similarity index 100%
rename from server/po/sv.po
rename to src/po/sv.po
diff --git a/server/providers/child_common.c b/src/providers/child_common.c
similarity index 100%
rename from server/providers/child_common.c
rename to src/providers/child_common.c
diff --git a/server/providers/child_common.h b/src/providers/child_common.h
similarity index 100%
rename from server/providers/child_common.h
rename to src/providers/child_common.h
diff --git a/server/providers/data_provider.h b/src/providers/data_provider.h
similarity index 100%
rename from server/providers/data_provider.h
rename to src/providers/data_provider.h
diff --git a/server/providers/data_provider_be.c b/src/providers/data_provider_be.c
similarity index 100%
rename from server/providers/data_provider_be.c
rename to src/providers/data_provider_be.c
diff --git a/server/providers/data_provider_fo.c b/src/providers/data_provider_fo.c
similarity index 100%
rename from server/providers/data_provider_fo.c
rename to src/providers/data_provider_fo.c
diff --git a/server/providers/data_provider_opts.c b/src/providers/data_provider_opts.c
similarity index 100%
rename from server/providers/data_provider_opts.c
rename to src/providers/data_provider_opts.c
diff --git a/server/providers/dp_auth_util.c b/src/providers/dp_auth_util.c
similarity index 100%
rename from server/providers/dp_auth_util.c
rename to src/providers/dp_auth_util.c
diff --git a/server/providers/dp_backend.h b/src/providers/dp_backend.h
similarity index 100%
rename from server/providers/dp_backend.h
rename to src/providers/dp_backend.h
diff --git a/server/providers/dp_sbus.c b/src/providers/dp_sbus.c
similarity index 100%
rename from server/providers/dp_sbus.c
rename to src/providers/dp_sbus.c
diff --git a/server/providers/fail_over.c b/src/providers/fail_over.c
similarity index 100%
rename from server/providers/fail_over.c
rename to src/providers/fail_over.c
diff --git a/server/providers/fail_over.h b/src/providers/fail_over.h
similarity index 100%
rename from server/providers/fail_over.h
rename to src/providers/fail_over.h
diff --git a/server/providers/ipa/ipa_access.c b/src/providers/ipa/ipa_access.c
similarity index 100%
rename from server/providers/ipa/ipa_access.c
rename to src/providers/ipa/ipa_access.c
diff --git a/server/providers/ipa/ipa_access.h b/src/providers/ipa/ipa_access.h
similarity index 100%
rename from server/providers/ipa/ipa_access.h
rename to src/providers/ipa/ipa_access.h
diff --git a/server/providers/ipa/ipa_auth.c b/src/providers/ipa/ipa_auth.c
similarity index 100%
rename from server/providers/ipa/ipa_auth.c
rename to src/providers/ipa/ipa_auth.c
diff --git a/server/providers/ipa/ipa_auth.h b/src/providers/ipa/ipa_auth.h
similarity index 100%
rename from server/providers/ipa/ipa_auth.h
rename to src/providers/ipa/ipa_auth.h
diff --git a/server/providers/ipa/ipa_common.c b/src/providers/ipa/ipa_common.c
similarity index 100%
rename from server/providers/ipa/ipa_common.c
rename to src/providers/ipa/ipa_common.c
diff --git a/server/providers/ipa/ipa_common.h b/src/providers/ipa/ipa_common.h
similarity index 100%
rename from server/providers/ipa/ipa_common.h
rename to src/providers/ipa/ipa_common.h
diff --git a/server/providers/ipa/ipa_init.c b/src/providers/ipa/ipa_init.c
similarity index 100%
rename from server/providers/ipa/ipa_init.c
rename to src/providers/ipa/ipa_init.c
diff --git a/server/providers/ipa/ipa_timerules.c b/src/providers/ipa/ipa_timerules.c
similarity index 100%
rename from server/providers/ipa/ipa_timerules.c
rename to src/providers/ipa/ipa_timerules.c
diff --git a/server/providers/ipa/ipa_timerules.h b/src/providers/ipa/ipa_timerules.h
similarity index 100%
rename from server/providers/ipa/ipa_timerules.h
rename to src/providers/ipa/ipa_timerules.h
diff --git a/server/providers/krb5/krb5_auth.c b/src/providers/krb5/krb5_auth.c
similarity index 100%
rename from server/providers/krb5/krb5_auth.c
rename to src/providers/krb5/krb5_auth.c
diff --git a/server/providers/krb5/krb5_auth.h b/src/providers/krb5/krb5_auth.h
similarity index 100%
rename from server/providers/krb5/krb5_auth.h
rename to src/providers/krb5/krb5_auth.h
diff --git a/server/providers/krb5/krb5_become_user.c b/src/providers/krb5/krb5_become_user.c
similarity index 100%
rename from server/providers/krb5/krb5_become_user.c
rename to src/providers/krb5/krb5_become_user.c
diff --git a/server/providers/krb5/krb5_child.c b/src/providers/krb5/krb5_child.c
similarity index 100%
rename from server/providers/krb5/krb5_child.c
rename to src/providers/krb5/krb5_child.c
diff --git a/server/providers/krb5/krb5_common.c b/src/providers/krb5/krb5_common.c
similarity index 100%
rename from server/providers/krb5/krb5_common.c
rename to src/providers/krb5/krb5_common.c
diff --git a/server/providers/krb5/krb5_common.h b/src/providers/krb5/krb5_common.h
similarity index 100%
rename from server/providers/krb5/krb5_common.h
rename to src/providers/krb5/krb5_common.h
diff --git a/server/providers/krb5/krb5_init.c b/src/providers/krb5/krb5_init.c
similarity index 100%
rename from server/providers/krb5/krb5_init.c
rename to src/providers/krb5/krb5_init.c
diff --git a/server/providers/krb5/krb5_utils.c b/src/providers/krb5/krb5_utils.c
similarity index 100%
rename from server/providers/krb5/krb5_utils.c
rename to src/providers/krb5/krb5_utils.c
diff --git a/server/providers/krb5/krb5_utils.h b/src/providers/krb5/krb5_utils.h
similarity index 100%
rename from server/providers/krb5/krb5_utils.h
rename to src/providers/krb5/krb5_utils.h
diff --git a/server/providers/ldap/ldap_auth.c b/src/providers/ldap/ldap_auth.c
similarity index 100%
rename from server/providers/ldap/ldap_auth.c
rename to src/providers/ldap/ldap_auth.c
diff --git a/server/providers/ldap/ldap_child.c b/src/providers/ldap/ldap_child.c
similarity index 100%
rename from server/providers/ldap/ldap_child.c
rename to src/providers/ldap/ldap_child.c
diff --git a/server/providers/ldap/ldap_common.c b/src/providers/ldap/ldap_common.c
similarity index 100%
rename from server/providers/ldap/ldap_common.c
rename to src/providers/ldap/ldap_common.c
diff --git a/server/providers/ldap/ldap_common.h b/src/providers/ldap/ldap_common.h
similarity index 100%
rename from server/providers/ldap/ldap_common.h
rename to src/providers/ldap/ldap_common.h
diff --git a/server/providers/ldap/ldap_id.c b/src/providers/ldap/ldap_id.c
similarity index 100%
rename from server/providers/ldap/ldap_id.c
rename to src/providers/ldap/ldap_id.c
diff --git a/server/providers/ldap/ldap_id_cleanup.c b/src/providers/ldap/ldap_id_cleanup.c
similarity index 100%
rename from server/providers/ldap/ldap_id_cleanup.c
rename to src/providers/ldap/ldap_id_cleanup.c
diff --git a/server/providers/ldap/ldap_id_enum.c b/src/providers/ldap/ldap_id_enum.c
similarity index 100%
rename from server/providers/ldap/ldap_id_enum.c
rename to src/providers/ldap/ldap_id_enum.c
diff --git a/server/providers/ldap/ldap_init.c b/src/providers/ldap/ldap_init.c
similarity index 100%
rename from server/providers/ldap/ldap_init.c
rename to src/providers/ldap/ldap_init.c
diff --git a/server/providers/ldap/sdap.c b/src/providers/ldap/sdap.c
similarity index 100%
rename from server/providers/ldap/sdap.c
rename to src/providers/ldap/sdap.c
diff --git a/server/providers/ldap/sdap.h b/src/providers/ldap/sdap.h
similarity index 100%
rename from server/providers/ldap/sdap.h
rename to src/providers/ldap/sdap.h
diff --git a/server/providers/ldap/sdap_async.c b/src/providers/ldap/sdap_async.c
similarity index 100%
rename from server/providers/ldap/sdap_async.c
rename to src/providers/ldap/sdap_async.c
diff --git a/server/providers/ldap/sdap_async.h b/src/providers/ldap/sdap_async.h
similarity index 100%
rename from server/providers/ldap/sdap_async.h
rename to src/providers/ldap/sdap_async.h
diff --git a/server/providers/ldap/sdap_async_accounts.c b/src/providers/ldap/sdap_async_accounts.c
similarity index 100%
rename from server/providers/ldap/sdap_async_accounts.c
rename to src/providers/ldap/sdap_async_accounts.c
diff --git a/server/providers/ldap/sdap_async_connection.c b/src/providers/ldap/sdap_async_connection.c
similarity index 100%
rename from server/providers/ldap/sdap_async_connection.c
rename to src/providers/ldap/sdap_async_connection.c
diff --git a/server/providers/ldap/sdap_async_private.h b/src/providers/ldap/sdap_async_private.h
similarity index 100%
rename from server/providers/ldap/sdap_async_private.h
rename to src/providers/ldap/sdap_async_private.h
diff --git a/server/providers/ldap/sdap_child_helpers.c b/src/providers/ldap/sdap_child_helpers.c
similarity index 100%
rename from server/providers/ldap/sdap_child_helpers.c
rename to src/providers/ldap/sdap_child_helpers.c
diff --git a/server/providers/providers.h b/src/providers/providers.h
similarity index 100%
rename from server/providers/providers.h
rename to src/providers/providers.h
diff --git a/server/providers/proxy.c b/src/providers/proxy.c
similarity index 100%
rename from server/providers/proxy.c
rename to src/providers/proxy.c
diff --git a/server/providers/sssd_be.exports b/src/providers/sssd_be.exports
similarity index 100%
rename from server/providers/sssd_be.exports
rename to src/providers/sssd_be.exports
diff --git a/server/python/pysss.c b/src/python/pysss.c
similarity index 100%
rename from server/python/pysss.c
rename to src/python/pysss.c
diff --git a/server/resolv/ares/ares_data.c b/src/resolv/ares/ares_data.c
similarity index 100%
rename from server/resolv/ares/ares_data.c
rename to src/resolv/ares/ares_data.c
diff --git a/server/resolv/ares/ares_data.h b/src/resolv/ares/ares_data.h
similarity index 100%
rename from server/resolv/ares/ares_data.h
rename to src/resolv/ares/ares_data.h
diff --git a/server/resolv/ares/ares_dns.h b/src/resolv/ares/ares_dns.h
similarity index 100%
rename from server/resolv/ares/ares_dns.h
rename to src/resolv/ares/ares_dns.h
diff --git a/server/resolv/ares/ares_parse_srv_reply.c b/src/resolv/ares/ares_parse_srv_reply.c
similarity index 100%
rename from server/resolv/ares/ares_parse_srv_reply.c
rename to src/resolv/ares/ares_parse_srv_reply.c
diff --git a/server/resolv/ares/ares_parse_srv_reply.h b/src/resolv/ares/ares_parse_srv_reply.h
similarity index 100%
rename from server/resolv/ares/ares_parse_srv_reply.h
rename to src/resolv/ares/ares_parse_srv_reply.h
diff --git a/server/resolv/ares/ares_parse_txt_reply.c b/src/resolv/ares/ares_parse_txt_reply.c
similarity index 100%
rename from server/resolv/ares/ares_parse_txt_reply.c
rename to src/resolv/ares/ares_parse_txt_reply.c
diff --git a/server/resolv/ares/ares_parse_txt_reply.h b/src/resolv/ares/ares_parse_txt_reply.h
similarity index 100%
rename from server/resolv/ares/ares_parse_txt_reply.h
rename to src/resolv/ares/ares_parse_txt_reply.h
diff --git a/server/resolv/async_resolv.c b/src/resolv/async_resolv.c
similarity index 100%
rename from server/resolv/async_resolv.c
rename to src/resolv/async_resolv.c
diff --git a/server/resolv/async_resolv.h b/src/resolv/async_resolv.h
similarity index 100%
rename from server/resolv/async_resolv.h
rename to src/resolv/async_resolv.h
diff --git a/server/responder/common/responder.h b/src/responder/common/responder.h
similarity index 100%
rename from server/responder/common/responder.h
rename to src/responder/common/responder.h
diff --git a/server/responder/common/responder_cmd.c b/src/responder/common/responder_cmd.c
similarity index 100%
rename from server/responder/common/responder_cmd.c
rename to src/responder/common/responder_cmd.c
diff --git a/server/responder/common/responder_common.c b/src/responder/common/responder_common.c
similarity index 100%
rename from server/responder/common/responder_common.c
rename to src/responder/common/responder_common.c
diff --git a/server/responder/common/responder_dp.c b/src/responder/common/responder_dp.c
similarity index 100%
rename from server/responder/common/responder_dp.c
rename to src/responder/common/responder_dp.c
diff --git a/server/responder/common/responder_packet.c b/src/responder/common/responder_packet.c
similarity index 100%
rename from server/responder/common/responder_packet.c
rename to src/responder/common/responder_packet.c
diff --git a/server/responder/common/responder_packet.h b/src/responder/common/responder_packet.h
similarity index 100%
rename from server/responder/common/responder_packet.h
rename to src/responder/common/responder_packet.h
diff --git a/server/responder/nss/nsssrv.c b/src/responder/nss/nsssrv.c
similarity index 100%
rename from server/responder/nss/nsssrv.c
rename to src/responder/nss/nsssrv.c
diff --git a/server/responder/nss/nsssrv.h b/src/responder/nss/nsssrv.h
similarity index 100%
rename from server/responder/nss/nsssrv.h
rename to src/responder/nss/nsssrv.h
diff --git a/server/responder/nss/nsssrv_cmd.c b/src/responder/nss/nsssrv_cmd.c
similarity index 100%
rename from server/responder/nss/nsssrv_cmd.c
rename to src/responder/nss/nsssrv_cmd.c
diff --git a/server/responder/nss/nsssrv_nc.c b/src/responder/nss/nsssrv_nc.c
similarity index 100%
rename from server/responder/nss/nsssrv_nc.c
rename to src/responder/nss/nsssrv_nc.c
diff --git a/server/responder/nss/nsssrv_nc.h b/src/responder/nss/nsssrv_nc.h
similarity index 100%
rename from server/responder/nss/nsssrv_nc.h
rename to src/responder/nss/nsssrv_nc.h
diff --git a/server/responder/pam/pam_LOCAL_domain.c b/src/responder/pam/pam_LOCAL_domain.c
similarity index 100%
rename from server/responder/pam/pam_LOCAL_domain.c
rename to src/responder/pam/pam_LOCAL_domain.c
diff --git a/server/responder/pam/pamsrv.c b/src/responder/pam/pamsrv.c
similarity index 100%
rename from server/responder/pam/pamsrv.c
rename to src/responder/pam/pamsrv.c
diff --git a/server/responder/pam/pamsrv.h b/src/responder/pam/pamsrv.h
similarity index 100%
rename from server/responder/pam/pamsrv.h
rename to src/responder/pam/pamsrv.h
diff --git a/server/responder/pam/pamsrv_cmd.c b/src/responder/pam/pamsrv_cmd.c
similarity index 100%
rename from server/responder/pam/pamsrv_cmd.c
rename to src/responder/pam/pamsrv_cmd.c
diff --git a/server/responder/pam/pamsrv_dp.c b/src/responder/pam/pamsrv_dp.c
similarity index 100%
rename from server/responder/pam/pamsrv_dp.c
rename to src/responder/pam/pamsrv_dp.c
diff --git a/server/sbus/sbus_client.c b/src/sbus/sbus_client.c
similarity index 100%
rename from server/sbus/sbus_client.c
rename to src/sbus/sbus_client.c
diff --git a/server/sbus/sbus_client.h b/src/sbus/sbus_client.h
similarity index 100%
rename from server/sbus/sbus_client.h
rename to src/sbus/sbus_client.h
diff --git a/server/sbus/sssd_dbus.h b/src/sbus/sssd_dbus.h
similarity index 100%
rename from server/sbus/sssd_dbus.h
rename to src/sbus/sssd_dbus.h
diff --git a/server/sbus/sssd_dbus_common.c b/src/sbus/sssd_dbus_common.c
similarity index 100%
rename from server/sbus/sssd_dbus_common.c
rename to src/sbus/sssd_dbus_common.c
diff --git a/server/sbus/sssd_dbus_connection.c b/src/sbus/sssd_dbus_connection.c
similarity index 100%
rename from server/sbus/sssd_dbus_connection.c
rename to src/sbus/sssd_dbus_connection.c
diff --git a/server/sbus/sssd_dbus_private.h b/src/sbus/sssd_dbus_private.h
similarity index 100%
rename from server/sbus/sssd_dbus_private.h
rename to src/sbus/sssd_dbus_private.h
diff --git a/server/sbus/sssd_dbus_server.c b/src/sbus/sssd_dbus_server.c
similarity index 100%
rename from server/sbus/sssd_dbus_server.c
rename to src/sbus/sssd_dbus_server.c
diff --git a/server/sss_client/common.c b/src/sss_client/common.c
similarity index 100%
rename from server/sss_client/common.c
rename to src/sss_client/common.c
diff --git a/server/sss_client/group.c b/src/sss_client/group.c
similarity index 100%
rename from server/sss_client/group.c
rename to src/sss_client/group.c
diff --git a/server/sss_client/man/pam_sss.8.xml b/src/sss_client/man/pam_sss.8.xml
similarity index 100%
rename from server/sss_client/man/pam_sss.8.xml
rename to src/sss_client/man/pam_sss.8.xml
diff --git a/server/sss_client/pam_sss.c b/src/sss_client/pam_sss.c
similarity index 100%
rename from server/sss_client/pam_sss.c
rename to src/sss_client/pam_sss.c
diff --git a/server/sss_client/pam_test_client.c b/src/sss_client/pam_test_client.c
similarity index 100%
rename from server/sss_client/pam_test_client.c
rename to src/sss_client/pam_test_client.c
diff --git a/server/sss_client/passwd.c b/src/sss_client/passwd.c
similarity index 100%
rename from server/sss_client/passwd.c
rename to src/sss_client/passwd.c
diff --git a/server/sss_client/protos.h b/src/sss_client/protos.h
similarity index 100%
rename from server/sss_client/protos.h
rename to src/sss_client/protos.h
diff --git a/server/sss_client/sss_cli.h b/src/sss_client/sss_cli.h
similarity index 100%
rename from server/sss_client/sss_cli.h
rename to src/sss_client/sss_cli.h
diff --git a/server/sss_client/sss_nss.exports b/src/sss_client/sss_nss.exports
similarity index 100%
rename from server/sss_client/sss_nss.exports
rename to src/sss_client/sss_nss.exports
diff --git a/server/sss_client/sss_pam.exports b/src/sss_client/sss_pam.exports
similarity index 100%
rename from server/sss_client/sss_pam.exports
rename to src/sss_client/sss_pam.exports
diff --git a/server/sss_client/sss_pam_macros.h b/src/sss_client/sss_pam_macros.h
similarity index 100%
rename from server/sss_client/sss_pam_macros.h
rename to src/sss_client/sss_pam_macros.h
diff --git a/server/sysv/SUSE/sssd b/src/sysv/SUSE/sssd
similarity index 100%
rename from server/sysv/SUSE/sssd
rename to src/sysv/SUSE/sssd
diff --git a/server/sysv/sssd b/src/sysv/sssd
similarity index 100%
rename from server/sysv/sssd
rename to src/sysv/sssd
diff --git a/server/tests/auth-tests.c b/src/tests/auth-tests.c
similarity index 100%
rename from server/tests/auth-tests.c
rename to src/tests/auth-tests.c
diff --git a/server/tests/check_and_open-tests.c b/src/tests/check_and_open-tests.c
similarity index 100%
rename from server/tests/check_and_open-tests.c
rename to src/tests/check_and_open-tests.c
diff --git a/server/tests/common.c b/src/tests/common.c
similarity index 100%
rename from server/tests/common.c
rename to src/tests/common.c
diff --git a/server/tests/common.h b/src/tests/common.h
similarity index 100%
rename from server/tests/common.h
rename to src/tests/common.h
diff --git a/server/tests/fail_over-tests.c b/src/tests/fail_over-tests.c
similarity index 100%
rename from server/tests/fail_over-tests.c
rename to src/tests/fail_over-tests.c
diff --git a/server/tests/files-tests.c b/src/tests/files-tests.c
similarity index 100%
rename from server/tests/files-tests.c
rename to src/tests/files-tests.c
diff --git a/server/tests/find_uid-tests.c b/src/tests/find_uid-tests.c
similarity index 100%
rename from server/tests/find_uid-tests.c
rename to src/tests/find_uid-tests.c
diff --git a/server/tests/ipa_ldap_opt-tests.c b/src/tests/ipa_ldap_opt-tests.c
similarity index 100%
rename from server/tests/ipa_ldap_opt-tests.c
rename to src/tests/ipa_ldap_opt-tests.c
diff --git a/server/tests/ipa_timerules-tests.c b/src/tests/ipa_timerules-tests.c
similarity index 100%
rename from server/tests/ipa_timerules-tests.c
rename to src/tests/ipa_timerules-tests.c
diff --git a/server/tests/krb5_utils-tests.c b/src/tests/krb5_utils-tests.c
similarity index 100%
rename from server/tests/krb5_utils-tests.c
rename to src/tests/krb5_utils-tests.c
diff --git a/server/tests/python-test.py b/src/tests/python-test.py
similarity index 100%
rename from server/tests/python-test.py
rename to src/tests/python-test.py
diff --git a/server/tests/refcount-tests.c b/src/tests/refcount-tests.c
similarity index 100%
rename from server/tests/refcount-tests.c
rename to src/tests/refcount-tests.c
diff --git a/server/tests/resolv-tests.c b/src/tests/resolv-tests.c
similarity index 100%
rename from server/tests/resolv-tests.c
rename to src/tests/resolv-tests.c
diff --git a/server/tests/stress-tests.c b/src/tests/stress-tests.c
similarity index 100%
rename from server/tests/stress-tests.c
rename to src/tests/stress-tests.c
diff --git a/server/tests/strtonum-tests.c b/src/tests/strtonum-tests.c
similarity index 100%
rename from server/tests/strtonum-tests.c
rename to src/tests/strtonum-tests.c
diff --git a/server/tests/sysdb-tests.c b/src/tests/sysdb-tests.c
similarity index 100%
rename from server/tests/sysdb-tests.c
rename to src/tests/sysdb-tests.c
diff --git a/server/tools/files.c b/src/tools/files.c
similarity index 100%
rename from server/tools/files.c
rename to src/tools/files.c
diff --git a/server/tools/sss_groupadd.c b/src/tools/sss_groupadd.c
similarity index 100%
rename from server/tools/sss_groupadd.c
rename to src/tools/sss_groupadd.c
diff --git a/server/tools/sss_groupdel.c b/src/tools/sss_groupdel.c
similarity index 100%
rename from server/tools/sss_groupdel.c
rename to src/tools/sss_groupdel.c
diff --git a/server/tools/sss_groupmod.c b/src/tools/sss_groupmod.c
similarity index 100%
rename from server/tools/sss_groupmod.c
rename to src/tools/sss_groupmod.c
diff --git a/server/tools/sss_groupshow.c b/src/tools/sss_groupshow.c
similarity index 100%
rename from server/tools/sss_groupshow.c
rename to src/tools/sss_groupshow.c
diff --git a/server/tools/sss_sync_ops.c b/src/tools/sss_sync_ops.c
similarity index 100%
rename from server/tools/sss_sync_ops.c
rename to src/tools/sss_sync_ops.c
diff --git a/server/tools/sss_sync_ops.h b/src/tools/sss_sync_ops.h
similarity index 100%
rename from server/tools/sss_sync_ops.h
rename to src/tools/sss_sync_ops.h
diff --git a/server/tools/sss_useradd.c b/src/tools/sss_useradd.c
similarity index 100%
rename from server/tools/sss_useradd.c
rename to src/tools/sss_useradd.c
diff --git a/server/tools/sss_userdel.c b/src/tools/sss_userdel.c
similarity index 100%
rename from server/tools/sss_userdel.c
rename to src/tools/sss_userdel.c
diff --git a/server/tools/sss_usermod.c b/src/tools/sss_usermod.c
similarity index 100%
rename from server/tools/sss_usermod.c
rename to src/tools/sss_usermod.c
diff --git a/server/tools/tools_util.c b/src/tools/tools_util.c
similarity index 100%
rename from server/tools/tools_util.c
rename to src/tools/tools_util.c
diff --git a/server/tools/tools_util.h b/src/tools/tools_util.h
similarity index 100%
rename from server/tools/tools_util.h
rename to src/tools/tools_util.h
diff --git a/server/util/backup_file.c b/src/util/backup_file.c
similarity index 100%
rename from server/util/backup_file.c
rename to src/util/backup_file.c
diff --git a/server/util/check_and_open.c b/src/util/check_and_open.c
similarity index 100%
rename from server/util/check_and_open.c
rename to src/util/check_and_open.c
diff --git a/server/util/crypto_sha512crypt.c b/src/util/crypto_sha512crypt.c
similarity index 100%
rename from server/util/crypto_sha512crypt.c
rename to src/util/crypto_sha512crypt.c
diff --git a/server/util/debug.c b/src/util/debug.c
similarity index 100%
rename from server/util/debug.c
rename to src/util/debug.c
diff --git a/server/util/dlinklist.h b/src/util/dlinklist.h
similarity index 100%
rename from server/util/dlinklist.h
rename to src/util/dlinklist.h
diff --git a/server/util/find_uid.c b/src/util/find_uid.c
similarity index 100%
rename from server/util/find_uid.c
rename to src/util/find_uid.c
diff --git a/server/util/find_uid.h b/src/util/find_uid.h
similarity index 100%
rename from server/util/find_uid.h
rename to src/util/find_uid.h
diff --git a/server/util/memory.c b/src/util/memory.c
similarity index 100%
rename from server/util/memory.c
rename to src/util/memory.c
diff --git a/server/util/nss_sha512crypt.c b/src/util/nss_sha512crypt.c
similarity index 100%
rename from server/util/nss_sha512crypt.c
rename to src/util/nss_sha512crypt.c
diff --git a/server/util/refcount.c b/src/util/refcount.c
similarity index 100%
rename from server/util/refcount.c
rename to src/util/refcount.c
diff --git a/server/util/refcount.h b/src/util/refcount.h
similarity index 100%
rename from server/util/refcount.h
rename to src/util/refcount.h
diff --git a/server/util/server.c b/src/util/server.c
similarity index 100%
rename from server/util/server.c
rename to src/util/server.c
diff --git a/server/util/sha512crypt.h b/src/util/sha512crypt.h
similarity index 100%
rename from server/util/sha512crypt.h
rename to src/util/sha512crypt.h
diff --git a/server/util/signal.c b/src/util/signal.c
similarity index 100%
rename from server/util/signal.c
rename to src/util/signal.c
diff --git a/server/util/signal.m4 b/src/util/signal.m4
similarity index 100%
rename from server/util/signal.m4
rename to src/util/signal.m4
diff --git a/server/util/sss_krb5.c b/src/util/sss_krb5.c
similarity index 100%
rename from server/util/sss_krb5.c
rename to src/util/sss_krb5.c
diff --git a/server/util/sss_krb5.h b/src/util/sss_krb5.h
similarity index 100%
rename from server/util/sss_krb5.h
rename to src/util/sss_krb5.h
diff --git a/server/util/sss_ldap.c b/src/util/sss_ldap.c
similarity index 100%
rename from server/util/sss_ldap.c
rename to src/util/sss_ldap.c
diff --git a/server/util/sss_ldap.h b/src/util/sss_ldap.h
similarity index 100%
rename from server/util/sss_ldap.h
rename to src/util/sss_ldap.h
diff --git a/server/util/strtonum.c b/src/util/strtonum.c
similarity index 100%
rename from server/util/strtonum.c
rename to src/util/strtonum.c
diff --git a/server/util/strtonum.h b/src/util/strtonum.h
similarity index 100%
rename from server/util/strtonum.h
rename to src/util/strtonum.h
diff --git a/server/util/user_info_msg.c b/src/util/user_info_msg.c
similarity index 100%
rename from server/util/user_info_msg.c
rename to src/util/user_info_msg.c
diff --git a/server/util/user_info_msg.h b/src/util/user_info_msg.h
similarity index 100%
rename from server/util/user_info_msg.h
rename to src/util/user_info_msg.h
diff --git a/server/util/usertools.c b/src/util/usertools.c
similarity index 100%
rename from server/util/usertools.c
rename to src/util/usertools.c
diff --git a/server/util/util.c b/src/util/util.c
similarity index 100%
rename from server/util/util.c
rename to src/util/util.c
diff --git a/server/util/util.h b/src/util/util.h
similarity index 100%
rename from server/util/util.h
rename to src/util/util.h
-- 
1.6.6

